/*
 *      dnsutl - utilities to make DNS easier to configure
 *      Copyright (C) 2006, 2007 Peter Miller
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see
 *      <http://www.gnu.org/licenses/>.
 */

#ifndef DNS_CONF_CHECK_CHECK_H
#define DNS_CONF_CHECK_CHECK_H

/**
  * The check function is used to read a bind (version 9 and later)
  * configuration file, and validate its contents.
  *
  * @param filename
  *     The name of the file to read.
  */
void check(const char *filename);

#endif /* DNS_CONF_CHECK_CHECK_H */
