/*
 *      dnsutl - utilities to make DNS easier to configure
 *      Copyright (C) 1995, 1999, 2006, 2007 Peter Miller
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see
 *      <http://www.gnu.org/licenses/>.
 */

#ifndef DNS_FILTER_FILTER_H
#define DNS_FILTER_FILTER_H

#include <main.h>

void filter_allow_class(const char *);
void filter_allow_type(const char *);
void filter_delete_class(const char *);
void filter_delete_type(const char *);
void filter_no_line_numbers(void);
void filter_delete_foreign_names(void);
void filter_verbose(void);

void filter(const char *infile, const char *outfile);

#endif /* DNS_FILTER_FILTER_H */
