/*
 *      dnsutl - utilities to make DNS easier to configure
 *      Copyright (C) 1999-2001, 2006, 2007 Peter Miller
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see
 *      <http://www.gnu.org/licenses/>.
 */

#ifndef DNS_BOOT_CHECK_CHECK_H
#define DNS_BOOT_CHECK_CHECK_H

#include <str.h>

void check(const char *);

void check_cache(string_ty *, string_ty *);
void check_directory(string_ty *);
void check_domain(string_ty *);
void check_forwarder(string_ty *);
void check_option(string_ty *);
void check_primary(string_ty *, string_ty *);
void check_secondary(string_ty *, string_ty *);

#endif /* DNS_BOOT_CHECK_CHECK_H */
