/*
 *      dnsutl - utilities to make DNS easier to configure
 *      Copyright (C) 1992, 1993, 1995, 1999, 2006, 2007 Peter Miller
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see
 *      <http://www.gnu.org/licenses/>.
 */

#ifndef NETGROUP_H
#define NETGROUP_H

#include <main.h>

extern int verbose;
extern int delete_foreign_names;

void netgroup(const char *infile, const char *outfile);
void netgroup_pattern(const char *name, const char *pattern);

#endif /* NETGROUP_H */
